---
to: <%= h.inflection.camelize(name, false) %>/tsconfig.json
---
{
  "compilerOptions": {
    "target": "es6",
    "module": "commonjs",
    "allowJs": false,
    "sourceMap": true,
    "sourceRoot": "src",
    "outDir": "build/dist/",
    "removeComments": true,
    "strict": true,
    "strictNullChecks": true,
    "strictFunctionTypes": true,
    "strictPropertyInitialization": true,
    "alwaysStrict": true,
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "noImplicitReturns": true,
    "noImplicitAny": true,
    "noImplicitThis": true,
    "noFallthroughCasesInSwitch": true,
    "noUncheckedIndexedAccess": true,
    "noPropertyAccessFromIndexSignature": true,
    "moduleResolution": "node",
    "allowSyntheticDefaultImports": true,
    "baseUrl": "./src/",
    "paths": {
      "*": ["*", "./*"],
      "@cores/*": ["./cores/*"],
      "@apps/*": ["./apps/*"],
      "@libs/*": ["./libs/*"],
    },
    "rootDirs": [
      "src"
    ],
    "types": [
      "node",
      "jest"
    ],
    "esModuleInterop": true,
    "experimentalDecorators": true,
    "emitDecoratorMetadata": true,
    "skipLibCheck": true,
    "forceConsistentCasingInFileNames": true,
    "pretty": true,
    "lib": [
      "es2019"
    ]
  },
  "watchOptions": {
    "watchFile": "useFsEvents",
    "watchDirectory": "useFsEvents",
    "fallbackPolling": "dynamicPriority",
    "synchronousWatchDirectory": true
  },
  "exclude": [
    "node_modules",
    "build",
    "dist",
    "coverage"
  ],
  "include": [
    "src",
    "tests"
  ],
  "files": [
    "src/app.ts"
  ]
}
